Troubleshoot

Modding Legacy Support FAQ (PLEASE READ FIRST!!!)

Author: Jonathing

If you have a question about–or otherwise need help with–a Modding Legacy mod, please read the entirety of this page depending on what mod you need help with. General Info and Support All Modding Legacy mods are written for Forge only. There will b...

Which versions of Minecraft do you support?

Author: Jonathing

To keep up with Minecraft and the modding community, we consistently make sure that our mods are up-to-date with the latest version of Minecraft. Below you can see what we mean by that. Minor Version Updates If a minor version is released for the curr...

How do I install Minecraft mods?

Author: Lachney, Jonathing, and JoltLiz

Minecraft Forge All of our Minecraft mods run on Minecraft Forge. In case you don’t know what that is, Minecraft Forge is a mod loading API which gives developers an easier way to modify the game to add their mods into the game. You can download Minecr...

Do you make Fabric mods?

Author: Lachney

No, we do not develop mods the Fabric modloader. We use Minecraft Forge! We make sure to make that clear on all of our projects on CurseForge by supplying it with a “Built with Forge” Badge like this one: You can also check if a mod is developed for F...

Why can't I use Java 11 or above?

Author: Jonathing

Please use Java 8! As of right now, our mods are written in Java 8 and for Java 8. You can try to use Java 11+, but there are some integral functions used in Java 8 that have been removed or refactored in Java 11+. Why don’t we develop with Java 11? ...